# $Revision: 1.17 $, $Date: 2004/05/07 01:09:18 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Primes
Summary:	Crypt::Primes - provable prime number generator suitable for cryptographic applications
Summary(pl):	Crypt::Primes - wiarygodny generator liczb pierwszych, nadajcy si do aplikacji kryptograficznych
Name:		perl-Crypt-Primes
Version:	0.50
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	041947b9645142615d687b89cf2e1a7b
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Crypt-Random >= 0.33
BuildRequires:	perl-Math-Pari >= 2.001804
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::Primes module implements in pure Perl Ueli Maurer's algorithm
for generating large provable primes and secure parameters for
public-key cryptosystems.  The generated primes are almost uniformly
distributed over the set of primes of the specified bitsize and
expected time for generation is less than the time required for
generating a pseudo-prime of the same size with Miller-Rabin tests. 
Detailed description and running time analysis of the algorithm can be
found in Maurer's paper (Fast Generation of Prime Numbers and Secure
Public-Key Cryptographic Parameters, Ueli Maurer (1994)).

%description -l pl
Modu Crypt::Primes jest czysto perlow implementacj algorytmu
generacji duych wiarygodnych liczb losowych Ueli Maurera oraz
generacji bezpiecznych parametrw dla systemw kryptograficznych
korzystajcych z klucza publicznego. Wygenerowane liczby pierwsze s
rozoone niemal jednostajnie w zbiorze liczb pierwszych o zadanym
rozmiarze bitowym a oczekiwany czas generacji jest krtszy ni dla
generacji liczb pseudo-pierwszych o tym samym rozmiarze za pomoc
testw Millera-Rabina. Szczegowy opis i analizy czasowe algorytmu
mona znale z artykule Maurera (Fast Generation of Prime Numbers and
Secure Public-Key Cryptographic Parameters, Ueli Maurer (1994))

- wiarygodny generator liczb pierwszych,
nadajcy si dla aplikacji kryptograficznych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/Crypt/Primes.pm
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-Primes.spec,v $
Revision 1.17  2004/05/07 01:09:18  ankry
- rel. 3

Revision 1.16  2004/05/06 18:01:27  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/25 20:20:27  ankry
- tests added

Revision 1.14  2004/04/19 20:29:05  ankry
- better summary and description, license fix

Revision 1.13  2003/08/18 08:08:37  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.9  2003/03/01 18:46:31  radek
- should be ready for perl-5.8.0; release++

Revision 1.8  2003/02/25 00:37:44  radek
- use the __perl macro

Revision 1.7  2003/02/18 15:29:32  ankry
- massive attack: change CPAN URLs

Revision 1.6  2003/02/05 16:17:42  ankry
- autoupdated to 0.50

Revision 1.5  2002/07/20 10:18:38  qboosh
- new %%doc, added BRs, longer descriptions
- added missing largeprimes script
- release 2

Revision 1.4  2002/07/10 08:46:49  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.3  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.2  2002/03/07 18:36:49  kloczek
- spec adapterized.
